> ## Documentation Index
> Fetch the complete documentation index at: https://developers.onidel.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new VPC

> Create a new Virtual Private Cloud network



## OpenAPI

````yaml /api-reference/openapi.yaml post /network/vpcs
openapi: 3.0.3
info:
  title: Onidel Cloud API - OpenAPI 3.0
  description: >-
    Welcome to the **Onidel Cloud API** documentation. This API allows
    developers to seamlessly integrate with the Onidel Cloud platform, enabling
    them to manage cloud resources efficiently and securely. With our API, you
    can automate processes, retrieve detailed account information, and manage
    virtual machines (VPS), networking, storage, and more.
  termsOfService: https://docs.onidel.com/policies/terms-of-service
  contact:
    email: support@onidel.com
  version: 1.2.0
servers:
  - url: https://api.cloud.onidel.com
security: []
tags:
  - name: SSH Key
    description: Manage SSH keys for secure server access.
  - name: VPC
    description: Manage Virtual Private Cloud (VPC) networks for isolated networking.
  - name: Firewall
    description: Manage firewall groups for VM security.
  - name: OS Template
    description: >-
      We have a wide range of operating systems available to deploy server
      instances.
  - name: Instance Type
    description: We provide different instance types for different workload.
  - name: Startup Script
    description: >-
      Manage startup scripts that run on first boot of a server instance.
      Maximum 10 scripts per team.
  - name: IP List
    description: >-
      Manage IP lists for use in firewall rules. IP lists group multiple IP
      addresses/CIDRs together.
  - name: Firewall Rule
    description: Manage firewall rules within a firewall group.
  - name: Object Storage
    description: Manage S3-compatible object storage services, buckets, and access keys.
  - name: Custom ISO
    description: Manage custom ISO images that can be used to boot server instances (BYOI).
  - name: Measured Boot Image
    description: >-
      Manage SEV-SNP measured direct boot images (UKIs) and attach/detach them
      to instances.
paths:
  /network/vpcs:
    post:
      tags:
        - VPC
      summary: Create a new VPC
      description: Create a new Virtual Private Cloud network
      operationId: createVPC
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NewVPC'
      responses:
        '201':
          description: VPC created successfully
        '400':
          description: Bad request - missing or invalid parameters
        '401':
          description: Unauthorized
        '403':
          description: Forbidden - minimum VM required or max VPC limit reached
        '404':
          description: Location not found
        '503':
          description: Service unavailable - resource not available
      security:
        - api_key: []
components:
  schemas:
    NewVPC:
      type: object
      properties:
        team_id:
          type: string
          format: uuid
          example: c1d45377-b2a9-4407-ab8d-6909c34dfaac
          description: Team ID. Default team will be used if not provided.
        location:
          type: string
          example: sydney
        name:
          type: string
          example: Production VPC
          maxLength: 200
        description:
          type: string
          example: VPC for production environment
          maxLength: 200
        v4_subnet:
          type: string
          example: 10.0.0.0
          description: IPv4 subnet prefix
        v4_subnet_mask:
          type: string
          example: '24'
          description: IPv4 subnet mask
      required:
        - location
        - name
        - description
        - v4_subnet
        - v4_subnet_mask
  securitySchemes:
    api_key:
      type: http
      scheme: bearer

````